# Created by pyp2rpm-3.3.1
%global pypi_name poyo

Name:           python-%{pypi_name}
Version:        0.5.0
Release:        %mkrel 6
Summary:        A lightweight YAML Parser for Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/hackebrot/poyo
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
Poyo |pypi| |pyversions| |license| |travis-ci|A lightweight YAML Parser for
Python**Please note that Poyo supports only a chosen subset of the YAML
format.****It can only read but not write and is not compatible with
JSON.**Poyo does not allow deserialization of arbitrary Python objects.
Supported types are **str**, **bool**, **int**, **float**, **NoneType** as well
as **dict** and **list**...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Poyo |pypi| |pyversions| |license| |travis-ci|A lightweight YAML Parser for
Python**Please note that Poyo supports only a chosen subset of the YAML
format.****It can only read but not write and is not compatible with
JSON.**Poyo does not allow deserialization of arbitrary Python objects.
Supported types are **str**, **bool**, **int**, **float**, **NoneType** as well
as **dict** and **list**...


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files poyo

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Sun Dec 22 2024 papoteur <papoteur> 0.5.0-6.mga10
+ Revision: 2128989
- add and use pytest

* Wed Dec 13 2023 papoteur <papoteur> 0.5.0-5.mga10
+ Revision: 2017816
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.5.0-4.mga9
+ Revision: 1823452
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.5.0-3.mga9
+ Revision: 1783304
- rebuild for python-3.10

* Sun Apr 18 2021 daviddavid <daviddavid> 0.5.0-2.mga9
+ Revision: 1716682
- rebuild for python 3.9

* Tue Sep 08 2020 shlomif <shlomif> 0.5.0-1.mga8
+ Revision: 1623468
- New version 0.5.0

* Sun Feb 16 2020 umeabot <umeabot> 0.4.1-6.mga8
+ Revision: 1535569
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 daviddavid <daviddavid> 0.4.1-5.mga8
+ Revision: 1452290
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 0.4.1-4.mga7
+ Revision: 1353566
- Rebuild for python3 3.7

* Mon Jan 07 2019 shlomif <shlomif> 0.4.1-3.mga7
+ Revision: 1350299
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.4.1-2.mga7
+ Revision: 1289725
- Mageia 7 Mass Rebuild

* Tue May 01 2018 shlomif <shlomif> 0.4.1-1.mga7
+ Revision: 1224255
- remove trailing space
- from pyp2rpm

